BasicFileChooserUI.DoubleClickListener (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicFileChooserUI.DoubleClickListener class
Date: 2015-05-24

javax.swing.plaf.basic

## Class BasicFileChooserUI.DoubleClickListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicFileChooserUI.DoubleClickListener

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, MouseWheelListener, EventListener
  Enclosing class:
    BasicFileChooserUI

      protected class BasicFileChooserUI.DoubleClickListener
      extends MouseAdapter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleClickListener(JList list)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseClicked(MouseEvent e)` Invoked when the mouse button has been clicked (pressed and released) on a component.
    `void` | `mouseEntered(MouseEvent e)` The JList used for representing the files is created by subclasses, but the selection is monitored in this class.

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseDragged, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleClickListener

          public DoubleClickListener(JList list)

  - ### Method Detail

    - #### mouseEntered

          public void mouseEntered(MouseEvent e)

      The JList used for representing the files is created by subclasses, but the selection is monitored in this class. The TransferHandler installed in the JFileChooser is also installed in the file list as it is used as the actual transfer source. The list is updated on a mouse enter to reflect the current data transfer state of the file chooser.
      Specified by:
        `mouseEntered` in interface `MouseListener`
      Overrides:
        `mouseEntered` in class `MouseAdapter`

    - #### mouseClicked

          public void mouseClicked(MouseEvent e)

      Description copied from class: `MouseAdapter`
      Invoked when the mouse button has been clicked (pressed and released) on a component.
      Specified by:
        `mouseClicked` in interface `MouseListener`
      Overrides:
        `mouseClicked` in class `MouseAdapter`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.